SubstringFunction (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.ejb.criteria.expression.function
Class SubstringFunction

    java.lang.Object
      org.hibernate.ejb.criteria.AbstractNode
          org.hibernate.ejb.criteria.expression.AbstractTupleElement<X>
              org.hibernate.ejb.criteria.expression.SelectionImpl<T>
                  org.hibernate.ejb.criteria.expression.ExpressionImpl<X>
                      org.hibernate.ejb.criteria.expression.function.BasicFunctionExpression<String>
                          org.hibernate.ejb.criteria.expression.function.SubstringFunction

All Implemented Interfaces:
  Serializable, Expression<String>, Selection<String>, TupleElement<String>, FunctionExpression<String>, ExpressionImplementor<String>, ParameterContainer, Renderable, SelectionImplementor<String>, TupleElementImplementor<String>

    public class SubstringFunction

extends BasicFunctionExpression<String>
implements Serializable

Models the ANSI SQL `SUBSTRING` function.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface org.hibernate.ejb.criteria.ParameterContainer
`ParameterContainer.Helper`

Field Summary
`static String` | `NAME`

Constructor Summary
`SubstringFunction(CriteriaBuilderImpl criteriaBuilder, Expression<String> value, Expression<Integer> start)`
`SubstringFunction(CriteriaBuilderImpl criteriaBuilder, Expression<String> value, Expression<Integer> start, Expression<Integer> length)`
`SubstringFunction(CriteriaBuilderImpl criteriaBuilder, Expression<String> value, int start)`
`SubstringFunction(CriteriaBuilderImpl criteriaBuilder, Expression<String> value, int start, int length)`

Method Summary
`Expression<Integer>` | `getLength()`
`Expression<Integer>` | `getStart()`
`Expression<String>` | `getValue()`
`void` | `registerParameters(ParameterRegistry registry)` Register any parameters contained within this query component with the given registry.
`String` | `render(CriteriaQueryCompiler.RenderingContext renderingContext)`

Methods inherited from class org.hibernate.ejb.criteria.expression.function.BasicFunctionExpression
`getFunctionName, isAggregation, properSize, renderProjection`

Methods inherited from class org.hibernate.ejb.criteria.expression.ExpressionImpl
`as, asBigDecimal, asBigInteger, asDouble, asFloat, asInteger, asLong, asString, in, in, in, in, isNotNull, isNull`

Methods inherited from class org.hibernate.ejb.criteria.expression.SelectionImpl
`alias, getCompoundSelectionItems, getValueHandlers, isCompoundSelection`

Methods inherited from class org.hibernate.ejb.criteria.expression.AbstractTupleElement
`forceConversion, getAlias, getJavaType, getValueHandler, resetJavaType, setAlias`

Methods inherited from class org.hibernate.ejb.criteria.AbstractNode
`criteriaBuilder`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.persistence.criteria.Expression
`as, in, in, in, in, isNotNull, isNull`

Methods inherited from interface javax.persistence.criteria.Selection
`alias, getCompoundSelectionItems, isCompoundSelection`

Methods inherited from interface javax.persistence.TupleElement
`getAlias, getJavaType`

Methods inherited from interface org.hibernate.ejb.criteria.SelectionImplementor
`getValueHandlers`

Methods inherited from interface org.hibernate.ejb.criteria.TupleElementImplementor
`getValueHandler`

Field Detail

### NAME

    public static final String NAME

See Also:
  Constant Field Values

Constructor Detail

### SubstringFunction

    public SubstringFunction(CriteriaBuilderImpl criteriaBuilder,
                             Expression<String> value,
                             Expression<Integer> start,
                             Expression<Integer> length)

### SubstringFunction

    public SubstringFunction(CriteriaBuilderImpl criteriaBuilder,
                             Expression<String> value,
                             Expression<Integer> start)

### SubstringFunction

    public SubstringFunction(CriteriaBuilderImpl criteriaBuilder,
                             Expression<String> value,
                             int start)

### SubstringFunction

    public SubstringFunction(CriteriaBuilderImpl criteriaBuilder,
                             Expression<String> value,
                             int start,
                             int length)

Method Detail

### getLength

    public Expression<Integer> getLength()

### getStart

    public Expression<Integer> getStart()

### getValue

    public Expression<String> getValue()

### registerParameters

    public void registerParameters(ParameterRegistry registry)

  Description copied from interface: `ParameterContainer`
  Register any parameters contained within this query component with the given registry.

  Specified by:
    `registerParameters` in interface `ParameterContainer`
  Overrides:
    `registerParameters` in class `BasicFunctionExpression<String>`
  Parameters:
    `registry` - The parameter registry with which to register.

### render

    public String render(CriteriaQueryCompiler.RenderingContext renderingContext)

  Specified by:
    `render` in interface `Renderable`
  Overrides:
    `render` in class `BasicFunctionExpression<String>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.